define({"708":{y:0,u:"../Content/hardware_reference_rsl15/hwref_GenPurposeIO_PhysicalCfg.htm",l:-1,t:"Physical Configuration",i:0.000530358970790437,a:"The RSL15 system includes physical configuration parameters for each GPIO. These parameters are set using configuration bits from the appropriate GPIO_CFG_* registers. If the GPIO is configured as an input pad, the GPIO_CFG_PULL_CTRL bit field is used to configure the pad to use a pull-up or pull-down resistor. Options include: No pull resistor A weak (250 kΩ) pull-up resistor A weak (250 kΩ) pull-down resistor A strong (10 kΩ) pull-up resistor In the reset state — for example, when the NRESET pad is driven low — the GPIO output drive is disabled and a weak (250 kΩ) pull-up resistor is enabled. After reset is released, the default GPIO configuration is applied. The GPIO_CFG_LPF bits in the GPIO_CFG registers enables or disables a low-pass filter that can be used to provide a cleaner input signal by filtering out high frequency noise. When switching from disabled to GPIO output mode: From an input mode, the initial output value matches the value that has most recently been read from the ..."},"709":{y:0,u:"../Content/hardware_reference_rsl15/hwref_GenPurposeIO_DirectCtrl.htm",l:-1,t:"Direct Control",i:0.000879075909270404,a:"RSL15 can configure any of the  general-purpose input/output (GPIO) pads directly, rather than using them through an interface. The function of these GPIO pads is defined by a user application, which can use them for any general-purpose input or output. The GPIO_MODE register indicates which GPIO pads have been configured for direct application control of the GPIO functionality; bits in this register are set (for example, GPIO*_IS_GPIO_MODE) if they are configured as GPIOs, and cleared otherwise (for example, GPIO_IS_NOT_GPIO_MODE). For any pads that are defined as being in a direct control GPIO mode, the GPIO_DIR register can be written to set the input/output direction for these pads, or read to query the direction of the pads. The value observed at the digital input pads can be read from the GPIO_INPUT_DATA register. This value is read as 0 for all pads configured as LSAD inputs (see  LSAD ), because the digital input is not enabled in this mode. For all other modes, the physical ..."},"710":{y:0,u:"../Content/hardware_reference_rsl15/hwref_GenPurposeIO_Registers.htm",l:-1,t:"GPIO Registers",i:0.0004445381077384,a:"GPIO Registers"},"711":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_CFG.htm",l:-1,t:"GPIO_CFG",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 13:12 DRIVE GPIO_2X_DRIVE 2x drive strength  0x0 GPIO_3X_DRIVE 3x drive strength  0x1 GPIO_5X_DRIVE 5x drive strength  0x2 GPIO_6X_DRIVE 6x drive strength  0x3* 10 LPF GPIO_LPF_DISABLE Disable low pass filter  0x0* GPIO_LPF_ENABLE Enable low pass filter  0x1 9:8 PULL_CTRL GPIO_NO_PULL No pull selected  0x0 GPIO_WEAK_PULL_UP Weak pull-up selected  0x1* GPIO_WEAK_PULL_DOWN Weak pull-down selected  0x2 GPIO_STRONG_PULL_UP Strong pull-up selected  0x3 7 NS_ACCESS_GPIO NS_CANNOT_USE_GPIO Non-Secure code cannot use this GPIO  0x0* NS_CAN_USE_GPIO Non-Secure code can use this GPIO  0x1 6:0 IO_MODE GPIO_MODE_DISABLE Disable  0x0* GPIO_MODE_INPUT Input mode  0x1 GPIO_MODE_GPIO_IN GPIO input mode  0x2 GPIO_MODE_GPIO_OUT GPIO output mode  0x3 GPIO_MODE_SLOWCLK Output SLOWCLK (slow clock) signal  0x4 GPIO_MODE_SYSCLK Output SYSCLK (system clock) signal  0x5 GPIO_MODE_USRCLK Output USRCLK (user clock) signal  0x6 GPIO_MODE_RCCLK Output ..."},"712":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_INPUT_DATA.htm",l:-1,t:"GPIO_INPUT_DATA",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 15:0 DATA GPIO0_IN_LOW GPIO pad is low  0x0* GPIO1_IN_LOW GPIO pad is low  0x0* GPIO2_IN_LOW GPIO pad is low  0x0* GPIO3_IN_LOW GPIO pad is low  0x0* GPIO4_IN_LOW GPIO pad is low  0x0* GPIO5_IN_LOW GPIO pad is low  0x0* GPIO6_IN_LOW GPIO pad is low  0x0* GPIO7_IN_LOW GPIO pad is low  0x0* GPIO8_IN_LOW GPIO pad is low  0x0* GPIO9_IN_LOW GPIO pad is low  0x0* GPIO10_IN_LOW GPIO pad is low  0x0* GPIO11_IN_LOW GPIO pad is low  0x0* GPIO12_IN_LOW GPIO pad is low  0x0* GPIO13_IN_LOW GPIO pad is low  0x0* GPIO14_IN_LOW GPIO pad is low  0x0* GPIO15_IN_LOW GPIO pad is low  0x0* GPIO0_IN_HIGH GPIO pad is high  0x1 GPIO1_IN_HIGH GPIO pad is high  0x2 GPIO2_IN_HIGH GPIO pad is high  0x4 GPIO3_IN_HIGH GPIO pad is high  0x8 GPIO4_IN_HIGH GPIO pad is high  0x10 GPIO5_IN_HIGH GPIO pad is high  0x20 GPIO6_IN_HIGH GPIO pad is high  0x40 GPIO7_IN_HIGH GPIO pad is high  0x80 GPIO8_IN_HIGH GPIO pad is high  0x100 GPIO9_IN_HIGH GPIO pad is high  ..."},"713":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_OUTPUT_DATA.htm",l:-1,t:"GPIO_OUTPUT_DATA",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 15:0 DATA GPIO0_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO1_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO2_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO3_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO4_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO5_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO6_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO7_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO8_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO9_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO10_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO11_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO12_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO13_OUT_LOW Set the GPIO pad to low if IO_MODE is GPIO  0x0* GPIO14_OUT_LOW Set the GPIO pad to low if ..."},"714":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_OUTPUT_DATA_SET.htm",l:-1,t:"GPIO_OUTPUT_DATA_SET",i:0.000456346726583789,a:"GPIO_OUTPUT_DATA_SET Bit Field Field Name Value Symbol Value Description Hex Value 15:0 GPIO GPIO0_SET Set the GPIO output data high  0x1 GPIO1_SET Set the GPIO output data high  0x2 GPIO2_SET Set the GPIO output data high  0x4 GPIO3_SET Set the GPIO output data high  0x8 GPIO4_SET Set the GPIO output data high  0x10 GPIO5_SET Set the GPIO output data high  0x20 GPIO6_SET Set the GPIO output data high  0x40 GPIO7_SET Set the GPIO output data high  0x80 GPIO8_SET Set the GPIO output data high  0x100 GPIO9_SET Set the GPIO output data high  0x200 GPIO10_SET Set the GPIO output data high  0x400 GPIO11_SET Set the GPIO output data high  0x800 GPIO12_SET Set the GPIO output data high  0x1000 GPIO13_SET Set the GPIO output data high  0x2000 GPIO14_SET Set the GPIO output data high  0x4000 GPIO15_SET Set the GPIO output data high  0x8000"},"715":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_OUTPUT_DATA_CLR.htm",l:-1,t:"GPIO_OUTPUT_DATA_CLR",i:0.000456346726583789,a:"GPIO_OUTPUT_DATA_CLR Bit Field Field Name Value Symbol Value Description Hex Value 15:0 GPIO GPIO0_CLR Set the GPIO output data low  0x1 GPIO1_CLR Set the GPIO output data low  0x2 GPIO2_CLR Set the GPIO output data low  0x4 GPIO3_CLR Set the GPIO output data low  0x8 GPIO4_CLR Set the GPIO output data low  0x10 GPIO5_CLR Set the GPIO output data low  0x20 GPIO6_CLR Set the GPIO output data low  0x40 GPIO7_CLR Set the GPIO output data low  0x80 GPIO8_CLR Set the GPIO output data low  0x100 GPIO9_CLR Set the GPIO output data low  0x200 GPIO10_CLR Set the GPIO output data low  0x400 GPIO11_CLR Set the GPIO output data low  0x800 GPIO12_CLR Set the GPIO output data low  0x1000 GPIO13_CLR Set the GPIO output data low  0x2000 GPIO14_CLR Set the GPIO output data low  0x4000 GPIO15_CLR Set the GPIO output data low  0x8000"},"716":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_DIR.htm",l:-1,t:"GPIO_DIR",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 15:0 GPIO GPIO0_STATUS_IN GPIO is an input  0x0* GPIO1_STATUS_IN GPIO is an input  0x0* GPIO2_STATUS_IN GPIO is an input  0x0* GPIO3_STATUS_IN GPIO is an input  0x0* GPIO4_STATUS_IN GPIO is an input  0x0* GPIO5_STATUS_IN GPIO is an input  0x0* GPIO6_STATUS_IN GPIO is an input  0x0* GPIO7_STATUS_IN GPIO is an input  0x0* GPIO8_STATUS_IN GPIO is an input  0x0* GPIO9_STATUS_IN GPIO is an input  0x0* GPIO10_STATUS_IN GPIO is an input  0x0* GPIO11_STATUS_IN GPIO is an input  0x0* GPIO12_STATUS_IN GPIO is an input  0x0* GPIO13_STATUS_IN GPIO is an input  0x0* GPIO14_STATUS_IN GPIO is an input  0x0* GPIO15_STATUS_IN GPIO is an input  0x0* GPIO0_STATUS_OUT GPIO is an output  0x1 GPIO1_STATUS_OUT GPIO is an output  0x2 GPIO2_STATUS_OUT GPIO is an output  0x4 GPIO3_STATUS_OUT GPIO is an output  0x8 GPIO4_STATUS_OUT GPIO is an output  0x10 GPIO5_STATUS_OUT GPIO is an output  0x20 GPIO6_STATUS_OUT GPIO is an output  0x40 ..."},"717":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_MODE.htm",l:-1,t:"GPIO_MODE",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 15:0 GPIO GPIO0_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO1_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO2_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO3_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO4_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO5_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO6_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO7_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO8_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO9_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* GPIO10_IS_NOT_GPIO_MODE This GPIO is not configured as a CM33 controlled GPIO  0x0* ..."},"718":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_INT_CFG.htm",l:-1,t:"GPIO_INT_CFG",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 12 NS_ACCESS NS_CANNOT_ACCESS_GPIO_INT Non-Secure code cannot access the GPIO_INT  0x0* NS_CAN_ACCESS_GPIO_INT Non-Secure code can access the GPIO_INT  0x1 11 DEBOUNCE_ENABLE GPIO_DEBOUNCE_DISABLE Button debounce filter disabled  0x0* GPIO_DEBOUNCE_ENABLE Button debounce filter enabled  0x1 10:8 EVENT GPIO_EVENT_NONE Interrupt not triggered  0x0* GPIO_EVENT_HIGH_LEVEL Interrupt triggered on high state  0x1 GPIO_EVENT_LOW_LEVEL Interrupt triggered on low state  0x2 GPIO_EVENT_RISING_EDGE Interrupt triggered on rising edge  0x3 GPIO_EVENT_FALLING_EDGE Interrupt triggered on falling edge  0x4 GPIO_EVENT_TRANSITION Interrupt triggered on any edge  0x5 4:0 SRC GPIO_SRC_GPIO_0 Select GPIO[0] as source  0x0* GPIO_SRC_GPIO_1 Select GPIO[1] as source  0x1 GPIO_SRC_GPIO_2 Select GPIO[2] as source  0x2 GPIO_SRC_GPIO_3 Select GPIO[3] as source  0x3 GPIO_SRC_GPIO_4 Select GPIO[4] as source  0x4 GPIO_SRC_GPIO_5 Select GPIO[5] as source  ..."},"719":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_INT_STATUS_S.htm",l:-1,t:"GPIO_INT_STATUS_S",i:0.000456346726583789,a:"GPIO_INT_STATUS_S Bit Field Field Name Value Symbol Value Description Hex Value 7 GPIO_INT3_STATUS GPIO_INT3_FALSE Interrupt 3 not triggered  0x0* GPIO_INT3_TRUE Interrupt 3 triggered  0x1 6 GPIO_INT2_STATUS GPIO_INT2_FALSE Interrupt 2 not triggered  0x0* GPIO_INT2_TRUE Interrupt 2 triggered  0x1 5 GPIO_INT1_STATUS GPIO_INT1_FALSE Interrupt 1 not triggered  0x0* GPIO_INT1_TRUE Interrupt 1 triggered  0x1 4 GPIO_INT0_STATUS GPIO_INT0_FALSE Interrupt 0 not triggered  0x0* GPIO_INT0_TRUE Interrupt 0 triggered  0x1 3 GPIO_INT3_CLEAR GPIO_INT3_CLEAR Interrupt 3 clear  0x1 2 GPIO_INT2_CLEAR GPIO_INT2_CLEAR Interrupt 2 clear  0x1 1 GPIO_INT1_CLEAR GPIO_INT1_CLEAR Interrupt 1 clear  0x1 0 GPIO_INT0_CLEAR GPIO_INT0_CLEAR Interrupt 0 clear  0x1"},"720":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_INT_STATUS.htm",l:-1,t:"GPIO_INT_STATUS",i:0.000456346726583789,a:"GPIO_INT_STATUS Bit Field Field Name Value Symbol Value Description Hex Value 4 GPIO_INT_STATUS GPIO_INT_FALSE Interrupt not triggered  0x0* GPIO_INT_TRUE Interrupt triggered  0x1 0 GPIO_INT_CLEAR GPIO_INT_CLEAR Interrupt clear  0x1"},"721":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_INT_DEBOUNCE.htm",l:-1,t:"GPIO_INT_DEBOUNCE",i:0.000456346726583789,a:"GPIO_INT_DEBOUNCE Bit Field Field Name Value Symbol Value Description Hex Value 8 DEBOUNCE_CLK GPIO_DEBOUNCE_SLOWCLK_DIV32 Button debounce filter runs on SLOWCLK divided by 32  0x0* GPIO_DEBOUNCE_SLOWCLK_DIV1024 Button debounce filter runs on SLOWCLK divided by 1024  0x1"},"722":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_JTAG_SW_PAD_CFG.htm",l:-1,t:"GPIO_JTAG_SW_PAD_CFG",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 9 SWCLK_LPF SWCLK_LPF_DISABLED Disable low pass filter  0x0* SWCLK_LPF_ENABLED Enable low pass filter  0x1 8 SWDIO_LPF SWDIO_LPF_DISABLED Disable low pass filter  0x0* SWDIO_LPF_ENABLED Enable low pass filter  0x1 7 CM33_JTAG_DATA_EN CM33_JTAG_DATA_DISABLED CM33 JTAG data (TDI and TDO) not available on GPIO[3:2]  0x0 CM33_JTAG_DATA_ENABLED CM33 JTAG data (TDI and TDO) connected through GPIO[3:2]  0x1* 6 CM33_JTAG_TRST_EN CM33_JTAG_TRST_DISABLED CM33 JTAG TRST not available on GPIO4  0x0 CM33_JTAG_TRST_ENABLED CM33 JTAG TRST connected through GPIO4  0x1* 5:4 SWCLK_PULL SWCLK_NO_PULL No pull selected  0x0 SWCLK_WEAK_PULL_UP Weak pull-up selected  0x1* SWCLK_WEAK_PULL_DOWN Weak pull-down selected  0x2 SWCLK_STRONG_PULL_UP Strong pull-up selected  0x3 3:2 SWDIO_DRIVE SWDIO_2X_DRIVE 2x drive strength  0x0 SWDIO_3X_DRIVE 3x drive strength  0x1 SWDIO_5X_DRIVE 5x drive strength  0x2 SWDIO_6X_DRIVE 6x drive strength  0x3* 1:0 ..."},"723":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_SPI.htm",l:-1,t:"GPIO_SRC_SPI",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 12:8 CS SPI_CS_SRC_GPIO_0 Select GPIO[0] as source  0x0 SPI_CS_SRC_GPIO_1 Select GPIO[1] as source  0x1 SPI_CS_SRC_GPIO_2 Select GPIO[2] as source  0x2 SPI_CS_SRC_GPIO_3 Select GPIO[3] as source  0x3 SPI_CS_SRC_GPIO_4 Select GPIO[4] as source  0x4 SPI_CS_SRC_GPIO_5 Select GPIO[5] as source  0x5 SPI_CS_SRC_GPIO_6 Select GPIO[6] as source  0x6 SPI_CS_SRC_GPIO_7 Select GPIO[7] as source  0x7 SPI_CS_SRC_GPIO_8 Select GPIO[8] as source  0x8 SPI_CS_SRC_GPIO_9 Select GPIO[9] as source  0x9 SPI_CS_SRC_GPIO_10 Select GPIO[10] as source  0xA SPI_CS_SRC_GPIO_11 Select GPIO[11] as source  0xB SPI_CS_SRC_GPIO_12 Select GPIO[12] as source  0xC SPI_CS_SRC_GPIO_13 Select GPIO[13] as source  0xD SPI_CS_SRC_GPIO_14 Select GPIO[14] as source  0xE SPI_CS_SRC_GPIO_15 Select GPIO[15] as source  0xF SPI_CS_SRC_CONST_LOW Select constant low as source  0x10 SPI_CS_SRC_CONST_HIGH Select constant high as source  0x11* 4:0 CLK SPI_CLK_SRC_GPIO_0 Select ..."},"724":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_SPI_IO.htm",l:-1,t:"GPIO_SRC_SPI_IO",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 28:24 IO3 SPI_IO3_SRC_GPIO_0 Select GPIO[0] as source  0x0 SPI_IO3_SRC_GPIO_1 Select GPIO[1] as source  0x1 SPI_IO3_SRC_GPIO_2 Select GPIO[2] as source  0x2 SPI_IO3_SRC_GPIO_3 Select GPIO[3] as source  0x3 SPI_IO3_SRC_GPIO_4 Select GPIO[4] as source  0x4 SPI_IO3_SRC_GPIO_5 Select GPIO[5] as source  0x5 SPI_IO3_SRC_GPIO_6 Select GPIO[6] as source  0x6 SPI_IO3_SRC_GPIO_7 Select GPIO[7] as source  0x7 SPI_IO3_SRC_GPIO_8 Select GPIO[8] as source  0x8 SPI_IO3_SRC_GPIO_9 Select GPIO[9] as source  0x9 SPI_IO3_SRC_GPIO_10 Select GPIO[10] as source  0xA SPI_IO3_SRC_GPIO_11 Select GPIO[11] as source  0xB SPI_IO3_SRC_GPIO_12 Select GPIO[12] as source  0xC SPI_IO3_SRC_GPIO_13 Select GPIO[13] as source  0xD SPI_IO3_SRC_GPIO_14 Select GPIO[14] as source  0xE SPI_IO3_SRC_GPIO_15 Select GPIO[15] as source  0xF SPI_IO3_SRC_CONST_LOW Select constant low as source  0x10 SPI_IO3_SRC_CONST_HIGH Select constant high as source  0x11* 20:16 IO2 ..."},"725":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_UART.htm",l:-1,t:"GPIO_SRC_UART",i:0.000456346726583789,a:"GPIO_SRC_UART Bit Field Field Name Value Symbol Value Description Hex Value 4:0 RX UART_RX_SRC_GPIO_0 Select GPIO[0] as source  0x0 UART_RX_SRC_GPIO_1 Select GPIO[1] as source  0x1 UART_RX_SRC_GPIO_2 Select GPIO[2] as source  0x2 UART_RX_SRC_GPIO_3 Select GPIO[3] as source  0x3 UART_RX_SRC_GPIO_4 Select GPIO[4] as source  0x4 UART_RX_SRC_GPIO_5 Select GPIO[5] as source  0x5 UART_RX_SRC_GPIO_6 Select GPIO[6] as source  0x6 UART_RX_SRC_GPIO_7 Select GPIO[7] as source  0x7 UART_RX_SRC_GPIO_8 Select GPIO[8] as source  0x8 UART_RX_SRC_GPIO_9 Select GPIO[9] as source  0x9 UART_RX_SRC_GPIO_10 Select GPIO[10] as source  0xA UART_RX_SRC_GPIO_11 Select GPIO[11] as source  0xB UART_RX_SRC_GPIO_12 Select GPIO[12] as source  0xC UART_RX_SRC_GPIO_13 Select GPIO[13] as source  0xD UART_RX_SRC_GPIO_14 Select GPIO[14] as source  0xE UART_RX_SRC_GPIO_15 Select GPIO[15] as source  0xF UART_RX_SRC_CONST_LOW Select constant low as source  0x10 UART_RX_SRC_CONST_HIGH Select constant high as source  0x11*"},"726":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_I2C.htm",l:-1,t:"GPIO_SRC_I2C",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 12:8 SDA I2C_SDA_SRC_GPIO_0 Select GPIO[0] as source  0x0 I2C_SDA_SRC_GPIO_1 Select GPIO[1] as source  0x1 I2C_SDA_SRC_GPIO_2 Select GPIO[2] as source  0x2 I2C_SDA_SRC_GPIO_3 Select GPIO[3] as source  0x3 I2C_SDA_SRC_GPIO_4 Select GPIO[4] as source  0x4 I2C_SDA_SRC_GPIO_5 Select GPIO[5] as source  0x5 I2C_SDA_SRC_GPIO_6 Select GPIO[6] as source  0x6 I2C_SDA_SRC_GPIO_7 Select GPIO[7] as source  0x7 I2C_SDA_SRC_GPIO_8 Select GPIO[8] as source  0x8 I2C_SDA_SRC_GPIO_9 Select GPIO[9] as source  0x9 I2C_SDA_SRC_GPIO_10 Select GPIO[10] as source  0xA I2C_SDA_SRC_GPIO_11 Select GPIO[11] as source  0xB I2C_SDA_SRC_GPIO_12 Select GPIO[12] as source  0xC I2C_SDA_SRC_GPIO_13 Select GPIO[13] as source  0xD I2C_SDA_SRC_GPIO_14 Select GPIO[14] as source  0xE I2C_SDA_SRC_GPIO_15 Select GPIO[15] as source  0xF I2C_SDA_SRC_CONST_LOW Select constant low as source  0x10 I2C_SDA_SRC_CONST_HIGH Select constant high as source  0x11* 4:0 SCL ..."},"727":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_PCM.htm",l:-1,t:"GPIO_SRC_PCM",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 20:16 SERI PCM_SERI_SRC_GPIO_0 Select GPIO[0] as source  0x0 PCM_SERI_SRC_GPIO_1 Select GPIO[1] as source  0x1 PCM_SERI_SRC_GPIO_2 Select GPIO[2] as source  0x2 PCM_SERI_SRC_GPIO_3 Select GPIO[3] as source  0x3 PCM_SERI_SRC_GPIO_4 Select GPIO[4] as source  0x4 PCM_SERI_SRC_GPIO_5 Select GPIO[5] as source  0x5 PCM_SERI_SRC_GPIO_6 Select GPIO[6] as source  0x6 PCM_SERI_SRC_GPIO_7 Select GPIO[7] as source  0x7 PCM_SERI_SRC_GPIO_8 Select GPIO[8] as source  0x8 PCM_SERI_SRC_GPIO_9 Select GPIO[9] as source  0x9 PCM_SERI_SRC_GPIO_10 Select GPIO[10] as source  0xA PCM_SERI_SRC_GPIO_11 Select GPIO[11] as source  0xB PCM_SERI_SRC_GPIO_12 Select GPIO[12] as source  0xC PCM_SERI_SRC_GPIO_13 Select GPIO[13] as source  0xD PCM_SERI_SRC_GPIO_14 Select GPIO[14] as source  0xE PCM_SERI_SRC_GPIO_15 Select GPIO[15] as source  0xF PCM_SERI_SRC_CONST_LOW Select constant low as source  0x10 PCM_SERI_SRC_CONST_HIGH Select constant high as source  ..."},"728":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_LIN.htm",l:-1,t:"GPIO_SRC_LIN",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 5 LIN_POLARITY LIN_ACTIVE_LOW LIN active low  0x0 LIN_ACTIVE_HIGH LIN active high  0x1* 4:0 LIN LIN_RX_SRC_GPIO_0 Select GPIO[0] as source  0x0 LIN_RX_SRC_GPIO_1 Select GPIO[1] as source  0x1 LIN_RX_SRC_GPIO_2 Select GPIO[2] as source  0x2 LIN_RX_SRC_GPIO_3 Select GPIO[3] as source  0x3 LIN_RX_SRC_GPIO_4 Select GPIO[4] as source  0x4 LIN_RX_SRC_GPIO_5 Select GPIO[5] as source  0x5 LIN_RX_SRC_GPIO_6 Select GPIO[6] as source  0x6 LIN_RX_SRC_GPIO_7 Select GPIO[7] as source  0x7 LIN_RX_SRC_GPIO_8 Select GPIO[8] as source  0x8 LIN_RX_SRC_GPIO_9 Select GPIO[9] as source  0x9 LIN_RX_SRC_GPIO_10 Select GPIO[10] as source  0xA LIN_RX_SRC_GPIO_11 Select GPIO[11] as source  0xB LIN_RX_SRC_GPIO_12 Select GPIO[12] as source  0xC LIN_RX_SRC_GPIO_13 Select GPIO[13] as source  0xD LIN_RX_SRC_GPIO_14 Select GPIO[14] as source  0xE LIN_RX_SRC_GPIO_15 Select GPIO[15] as source  0xF LIN_RX_SRC_CONST_LOW Select constant low as source  0x10* ..."},"729":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_NMI.htm",l:-1,t:"GPIO_SRC_NMI",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 5 NMI_POLARITY NMI_ACTIVE_LOW NMI active low  0x0 NMI_ACTIVE_HIGH NMI active high  0x1* 4:0 NMI NMI_SRC_GPIO_0 Select GPIO[0] as source  0x0 NMI_SRC_GPIO_1 Select GPIO[1] as source  0x1 NMI_SRC_GPIO_2 Select GPIO[2] as source  0x2 NMI_SRC_GPIO_3 Select GPIO[3] as source  0x3 NMI_SRC_GPIO_4 Select GPIO[4] as source  0x4 NMI_SRC_GPIO_5 Select GPIO[5] as source  0x5 NMI_SRC_GPIO_6 Select GPIO[6] as source  0x6 NMI_SRC_GPIO_7 Select GPIO[7] as source  0x7 NMI_SRC_GPIO_8 Select GPIO[8] as source  0x8 NMI_SRC_GPIO_9 Select GPIO[9] as source  0x9 NMI_SRC_GPIO_10 Select GPIO[10] as source  0xA NMI_SRC_GPIO_11 Select GPIO[11] as source  0xB NMI_SRC_GPIO_12 Select GPIO[12] as source  0xC NMI_SRC_GPIO_13 Select GPIO[13] as source  0xD NMI_SRC_GPIO_14 Select GPIO[14] as source  0xE NMI_SRC_GPIO_15 Select GPIO[15] as source  0xF NMI_SRC_CONST_LOW Select constant low as source  0x10* NMI_SRC_CONST_HIGH Select constant high as source  0x11"},"730":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_BB_RX.htm",l:-1,t:"GPIO_SRC_BB_RX",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 20:16 SYNC_P BB_RX_SYNC_P_SRC_GPIO_0 Select GPIO[0] as source  0x0 BB_RX_SYNC_P_SRC_GPIO_1 Select GPIO[1] as source  0x1 BB_RX_SYNC_P_SRC_GPIO_2 Select GPIO[5] as source  0x2 BB_RX_SYNC_P_SRC_GPIO_3 Select GPIO[3] as source  0x3 BB_RX_SYNC_P_SRC_GPIO_4 Select GPIO[4] as source  0x4 BB_RX_SYNC_P_SRC_GPIO_5 Select GPIO[5] as source  0x5 BB_RX_SYNC_P_SRC_GPIO_6 Select GPIO[6] as source  0x6 BB_RX_SYNC_P_SRC_GPIO_7 Select GPIO[7] as source  0x7 BB_RX_SYNC_P_SRC_GPIO_8 Select GPIO[8] as source  0x8 BB_RX_SYNC_P_SRC_GPIO_9 Select GPIO[9] as source  0x9 BB_RX_SYNC_P_SRC_GPIO_10 Select GPIO[10] as source  0xA BB_RX_SYNC_P_SRC_GPIO_11 Select GPIO[11] as source  0xB BB_RX_SYNC_P_SRC_GPIO_12 Select GPIO[12] as source  0xC BB_RX_SYNC_P_SRC_GPIO_13 Select GPIO[13] as source  0xD BB_RX_SYNC_P_SRC_GPIO_14 Select GPIO[14] as source  0xE BB_RX_SYNC_P_SRC_GPIO_15 Select GPIO[15] as source  0xF BB_RX_SYNC_P_SRC_CONST_LOW Select constant low as ..."},"731":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_BB_SPI.htm",l:-1,t:"GPIO_SRC_BB_SPI",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 4:0 MISO BB_SPI_MISO_SRC_GPIO_0 Select GPIO[0] as source  0x0 BB_SPI_MISO_SRC_GPIO_1 Select GPIO[1] as source  0x1 BB_SPI_MISO_SRC_GPIO_2 Select GPIO[2] as source  0x2 BB_SPI_MISO_SRC_GPIO_3 Select GPIO[3] as source  0x3 BB_SPI_MISO_SRC_GPIO_4 Select GPIO[4] as source  0x4 BB_SPI_MISO_SRC_GPIO_5 Select GPIO[5] as source  0x5 BB_SPI_MISO_SRC_GPIO_6 Select GPIO[6] as source  0x6 BB_SPI_MISO_SRC_GPIO_7 Select GPIO[7] as source  0x7 BB_SPI_MISO_SRC_GPIO_8 Select GPIO[8] as source  0x8 BB_SPI_MISO_SRC_GPIO_9 Select GPIO[9] as source  0x9 BB_SPI_MISO_SRC_GPIO_10 Select GPIO[10] as source  0xA BB_SPI_MISO_SRC_GPIO_11 Select GPIO[11] as source  0xB BB_SPI_MISO_SRC_GPIO_12 Select GPIO[12] as source  0xC BB_SPI_MISO_SRC_GPIO_13 Select GPIO[13] as source  0xD BB_SPI_MISO_SRC_GPIO_14 Select GPIO[14] as source  0xE BB_SPI_MISO_SRC_GPIO_15 Select GPIO[15] as source  0xF BB_SPI_MISO_SRC_CONST_LOW Select constant low as source  0x10 ..."},"732":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_BB_COEX.htm",l:-1,t:"GPIO_SRC_BB_COEX",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 12:8 WLAN_RX BB_WLAN_RX_SRC_GPIO_0 Select GPIO[0] as source  0x0 BB_WLAN_RX_SRC_GPIO_1 Select GPIO[1] as source  0x1 BB_WLAN_RX_SRC_GPIO_2 Select GPIO[2] as source  0x2 BB_WLAN_RX_SRC_GPIO_3 Select GPIO[3] as source  0x3 BB_WLAN_RX_SRC_GPIO_4 Select GPIO[4] as source  0x4 BB_WLAN_RX_SRC_GPIO_5 Select GPIO[5] as source  0x5 BB_WLAN_RX_SRC_GPIO_6 Select GPIO[6] as source  0x6 BB_WLAN_RX_SRC_GPIO_7 Select GPIO[7] as source  0x7 BB_WLAN_RX_SRC_GPIO_8 Select GPIO[8] as source  0x8 BB_WLAN_RX_SRC_GPIO_9 Select GPIO[9] as source  0x9 BB_WLAN_RX_SRC_GPIO_10 Select GPIO[10] as source  0xA BB_WLAN_RX_SRC_GPIO_11 Select GPIO[11] as source  0xB BB_WLAN_RX_SRC_GPIO_12 Select GPIO[12] as source  0xC BB_WLAN_RX_SRC_GPIO_13 Select GPIO[13] as source  0xD BB_WLAN_RX_SRC_GPIO_14 Select GPIO[14] as source  0xE BB_WLAN_RX_SRC_GPIO_15 Select GPIO[15] as source  0xF BB_WLAN_RX_SRC_CONST_LOW Select constant low as source  0x10* ..."},"733":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_BB_IQ_DATA.htm",l:-1,t:"GPIO_SRC_BB_IQ_DATA",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 28:24 IQ_DATA_3 BB_IQ_DATA_3_SRC_GPIO_0 Select GPIO[0] as source  0x0 BB_IQ_DATA_3_SRC_GPIO_1 Select GPIO[1] as source  0x1 BB_IQ_DATA_3_SRC_GPIO_2 Select GPIO[2] as source  0x2 BB_IQ_DATA_3_SRC_GPIO_3 Select GPIO[3] as source  0x3 BB_IQ_DATA_3_SRC_GPIO_4 Select GPIO[4] as source  0x4 BB_IQ_DATA_3_SRC_GPIO_5 Select GPIO[5] as source  0x5 BB_IQ_DATA_3_SRC_GPIO_6 Select GPIO[6] as source  0x6 BB_IQ_DATA_3_SRC_GPIO_7 Select GPIO[7] as source  0x7 BB_IQ_DATA_3_SRC_GPIO_8 Select GPIO[8] as source  0x8 BB_IQ_DATA_3_SRC_GPIO_9 Select GPIO[9] as source  0x9 BB_IQ_DATA_3_SRC_GPIO_10 Select GPIO[10] as source  0xA BB_IQ_DATA_3_SRC_GPIO_11 Select GPIO[11] as source  0xB BB_IQ_DATA_3_SRC_GPIO_12 Select GPIO[12] as source  0xC BB_IQ_DATA_3_SRC_GPIO_13 Select GPIO[13] as source  0xD BB_IQ_DATA_3_SRC_GPIO_14 Select GPIO[14] as source  0xE BB_IQ_DATA_3_SRC_GPIO_15 Select GPIO[15] as source  0xF BB_IQ_DATA_3_SRC_CONST_LOW Select constant low ..."},"734":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_BB_IQ_DATA_P.htm",l:-1,t:"GPIO_SRC_BB_IQ_DATA_P",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 4:0 IQ_DATA_P BB_IQ_DATA_P_SRC_GPIO_0 Select GPIO[0] as source  0x0 BB_IQ_DATA_P_SRC_GPIO_1 Select GPIO[1] as source  0x1 BB_IQ_DATA_P_SRC_GPIO_2 Select GPIO[2] as source  0x2 BB_IQ_DATA_P_SRC_GPIO_3 Select GPIO[3] as source  0x3 BB_IQ_DATA_P_SRC_GPIO_4 Select GPIO[4] as source  0x4 BB_IQ_DATA_P_SRC_GPIO_5 Select GPIO[5] as source  0x5 BB_IQ_DATA_P_SRC_GPIO_6 Select GPIO[6] as source  0x6 BB_IQ_DATA_P_SRC_GPIO_7 Select GPIO[7] as source  0x7 BB_IQ_DATA_P_SRC_GPIO_8 Select GPIO[8] as source  0x8 BB_IQ_DATA_P_SRC_GPIO_9 Select GPIO[9] as source  0x9 BB_IQ_DATA_P_SRC_GPIO_10 Select GPIO[10] as source  0xA BB_IQ_DATA_P_SRC_GPIO_11 Select GPIO[11] as source  0xB BB_IQ_DATA_P_SRC_GPIO_12 Select GPIO[12] as source  0xC BB_IQ_DATA_P_SRC_GPIO_13 Select GPIO[13] as source  0xD BB_IQ_DATA_P_SRC_GPIO_14 Select GPIO[14] as source  0xE BB_IQ_DATA_P_SRC_GPIO_15 Select GPIO[15] as source  0xF BB_IQ_DATA_P_SRC_CONST_LOW Select constant low ..."},"735":{y:0,u:"../Content/detail/rsl15_GPIO_Interface_and_Digital_Pad_control_GPIO_SRC_RF_SPI.htm",l:-1,t:"GPIO_SRC_RF_SPI",i:0.000456346726583789,a:"Bit Field Field Name Value Symbol Value Description Hex Value 20:16 MOSI RF_SPI_MOSI_SRC_GPIO_0 Select GPIO[0] as source  0x0 RF_SPI_MOSI_SRC_GPIO_1 Select GPIO[1] as source  0x1 RF_SPI_MOSI_SRC_GPIO_2 Select GPIO[2] as source  0x2 RF_SPI_MOSI_SRC_GPIO_3 Select GPIO[3] as source  0x3 RF_SPI_MOSI_SRC_GPIO_4 Select GPIO[4] as source  0x4 RF_SPI_MOSI_SRC_GPIO_5 Select GPIO[5] as source  0x5 RF_SPI_MOSI_SRC_GPIO_6 Select GPIO[6] as source  0x6 RF_SPI_MOSI_SRC_GPIO_7 Select GPIO[7] as source  0x7 RF_SPI_MOSI_SRC_GPIO_8 Select GPIO[8] as source  0x8 RF_SPI_MOSI_SRC_GPIO_9 Select GPIO[9] as source  0x9 RF_SPI_MOSI_SRC_GPIO_10 Select GPIO[10] as source  0xA RF_SPI_MOSI_SRC_GPIO_11 Select GPIO[11] as source  0xB RF_SPI_MOSI_SRC_GPIO_12 Select GPIO[12] as source  0xC RF_SPI_MOSI_SRC_GPIO_13 Select GPIO[13] as source  0xD RF_SPI_MOSI_SRC_GPIO_14 Select GPIO[14] as source  0xE RF_SPI_MOSI_SRC_GPIO_15 Select GPIO[15] as source  0xF RF_SPI_MOSI_SRC_CONST_LOW Select constant low as source  0x10 ..."},});