define({"104":{y:0,u:"../Content/firmware_reference/fwref_Bluetooth_HCI.htm",l:-1,t:"HCI",i:0.00296241341306833,a:"The role of the HCI is to provide a uniform interface method of accessing a Bluetooth Low Energy controller’s capabilities from the host. The HCI layer is part of the Bluetooth Low Energy protocol stack, as shown in the  \"Bluetooth Low Energy Protocol Stack\" figure . Bluetooth Low Energy Protocol Stack The Bluetooth stack optionally provides an HCI layer, which provides direct access to the stack at an interface between the host and controller layers. The role of the HCI is to convey the information from one\nlayer to the other by following the rules defined in the HCI portion of the Bluetooth standard. As shown in the sample code, the RSL15 HCI layer implementation can be used to interface with a transport layer that manages the reception and transmission of messages over a UART physical interface. As shown in the  \"HCI Working Modes\" figure , the two main configurations are supported by the HCI software. HCI Working Modes RSL15 has both a full stack system, and compatibility providing ..."},"105":{y:0,u:"../Content/firmware_reference/fwref_Bluetooth_GATT.htm",l:-1,t:"GATT",i:0.00296241341306833,a:"GATT The GATT is the gateway used by the Attribute Protocol to discover, read, write and obtain indications of the attributes present in the server attribute, and to configure the broadcasting of attributes. The GATT lies above the Attribute Protocol and communicates with the Generic Access Profile (GAP), higher layer profiles, and applications. The architecture of the GATT is shown in  GATT Architecture (figure) . GATT Architecture For more information about the GATT, and the Bluetooth Stack implementation of GATT, see the Bluetooth Core Specification (Volume 3, part G) and the provided CEVA GATT Interface Specification API document (RW-BLE-GATT-IS.pdf)."},"106":{y:0,u:"../Content/firmware_reference/fwref_Bluetooth_GAP.htm",l:-1,t:"GAP",i:0.0004445381077384,a:"GAP The Generic Access Profile (GAP) describes the generic\nprocedures related to discovery of Bluetooth devices and link management aspects of connecting to Bluetooth devices. It also defines procedures related to use of different Bluetooth security modes. The GAP module deals with four features: Management of non-connected activities Management of connected activities Handling of Bluetooth Low Energy security, including pairing, bonding, encryption, and privacy. Handling of life cycle of upper layer profiles For more information about the GAP, and the Bluetooth Stack implementation of GAP, see the Bluetooth Core Specification (Volume 3, part C), the Bluetooth® Security and Privacy Best Practices Guide, and the provided CEVA GAP Interface Specification API document (RW-BLE-GAP-IS.pdf)."},"107":{y:0,u:"../Content/firmware_reference/fwref_Bluetooth_GAPNonConnProcs.htm",l:-1,t:"Non-Connected Procedures",i:0.00296241341306833,a:"This section describes the support provided to an application that uses non-connected procedures. Management  of  these  non-connected  procedures  is  based  on  creation  of  activities  representing  the  different available procedures. Four kind of activities can be created: Advertising activity Scanning activity Initiating activity Periodic Synchronization activity Activity Overview GAP API provides a set of command messages allowing to: Create an activity (GAPM_ACTIVITY_CREATE_CMD) Start a created activity (GAPM_ACTIVITY_START_CMD) Stop a started activity (GAPM_ACTIVITY_STOP_CMD) Delete a created activity (GAPM_ACTIVITY_DELETE_CMD) A descriptions of these commands can be found in the CEVA Gap Interface Specification. Activity Life Cycle Activity Life Cycle (figure)  shows an overview of the life cycle of an activity. Before being usable, an activity must first be created. The activity must then be started. The activity can be considered finished after one of several events has ..."},"108":{y:0,u:"../Content/firmware_reference/fwref_BTKernelLib_LP.htm",l:-1,t:"Bluetooth and Kernel Library",i:0.000769707027894384,a:"Bluetooth and Kernel Library This topic describes: The custom application programming interface (API) for the event kernel and Bluetooth stack library The Bluetooth abstraction API that provides a simplified access to the Bluetooth stack library Using the event kernel and Bluetooth stack in an application For more information about this topic, see:"},"109":{y:0,u:"../Content/firmware_reference/fwref_BTKernelLib_Usage.htm",l:-1,t:"Use of the Event Kernel and Bluetooth Stack",i:0.0004445381077384,a:"Applications using the event kernel and Bluetooth Stack make use of both the custom API, described in  Baseband and Kernel Functions , and standard event kernel and Bluetooth Stack APIs, as described in the provided CEVA/RivieraWaves documentation. To assist in understanding  the event kernel and Bluetooth stack, the following sections outline the customary usage of these components within the context of a typical application use case.  The Kernel Scheduler The kernel scheduler is responsible for constantly checking messages communicated by different tasks. Applications might use as few as one task, although more complex applications typically include several tasks. Additionally, applications can contain multiple instances of the same task.  Different application tasks control different Bluetooth Low Energy functionalities. An application sometimes needs to communicate with different tasks, such as GAPM, GAPC, GATTM, GATTC, and different standard and custom profiles (services). The ..."},"110":{y:0,u:"../Content/firmware_reference/fwref_BTKernelLib_CustomAPI.htm",l:-1,t:"Baseband and Kernel Functions",i:0.00734094917777144,a:"To maximize the Bluetooth Low Energy connection stability, the stack must be provided sufficient processing time. We recommended that you: Set the stack interrupts to the highest priority to prevent preemption or ISR processing delays. Minimize the continuous time when interrupts are disabled Have the application call BLE_Kernel_Process() at least once per Bluetooth connection interval. In the current sample code, all Bluetooth and non-Bluetooth interrupt priorities are set to 0 (highest priority).  In future SDK updates, the priority of non-Bluetooth interrupts will be lowered.  We recommend that customers make this change to their own code to lower the priority of all non-Bluetooth interrupts to maximize the Bluetooth Low Energy connection stability. Use of the event kernel and baseband are  primarily supported by the functions described in the  \"Event Kernel Support Functions\" table . These functions initialize and execute these components, while supporting transitions between ..."},"111":{y:0,u:"../Content/firmware_reference/fwref_Bluetooth_ManageStack.htm",l:-1,t:"Managing Bluetooth Low Energy Stack RAM Usage",i:0.000769707027894384,a:"The Bluetooth Low Energy stack is provided as a complied library and cannot be modified by the user.  However, some of the stack variables are defined at the application level, and the user has some control over the size of these variables.  This is a guide to optimizing stack RAM memory usage by adjusting the application level variable defines as dependent upon the application use case. The application level variables are defined to support the maximum number of connections and activities,  which is 10 and 11 respectively. (See the CEVA documentation provided with your RSL15 download, in the default location C:\\Users\\\u003cuser_name\u003e\\ON_Semiconductor\\PACK\\ONSemiconductor\\RSL15\\\u003cversion\u003e\\documentation\\ceva.)  If the application use case does not require the maximum number of connections and activities, application level variable sizes can be reduced to save memory.   It is not recommended to adjust application level variable sizes in the HCI stack, as this can adversely affect Bluetooth ..."},"112":{y:0,u:"../Content/firmware_reference/fwref_Bluetooth_Metrics.htm",l:-1,t:"Bluetooth Low Energy Link Layer Metrics",i:0.00296241341306833,a:"A user application can enable or disable the tracking of metrics for Bluetooth Low Energy links. This is accomplished by calling the following function, with the en input parameter set to 0x1 or 0x0, respectively: \n uint8_t BLE_Link_Metrics(uint8_t en, uint8_t actidx, struct ble_link_metrics *metricsPtr)\n We recommend using this function to enable the link metrics tracking when a Bluetooth Low Energy link is established (i.e., when GAPC_CONNECTION_REQ_IND is received), and disable the tracking at Bluetooth Low Energy disconnection (i.e., when GAPC_DISCONNECT_IND is received). Example code for the BLE_Link_Metrics() function:\n struct ble_link_metrics bleLinkMetrics[APP_MAX_NB_CON]; ...   /* At receiving GAPC_CONNECTION_REQ_IND */ memset(\u0026bleLinkMetrics[conidx], 0, sizeof(struct ble_link_metrics)); ble_metrics_ret_val = BLE_Link_Metrics(1, p-\u003econhdl, \u0026bleLinkMetrics[conidx]); ...   /* At receiving GAPC_DISCONNECT_IND */ ble_metrics_ret_val = BLE_Link_Metrics(0, ..."},"113":{y:0,u:"../Content/firmware_reference/fwref_Bluetooth_FuncsInAPI.htm",l:-1,t:"Bluetooth Stack Supporting API Functions",i:0.0004445381077384,a:"Device_BLE_Param_Get Prototype: uint8_t Device_BLE_Param_Get(uint8_t param_id, uint8_t *lengthPtr, uint8_t *buf) This is a callback function that is called by the Bluetooth stack whenever the associated data is required. If the application returns PARAM_OK, it means that requested parameter is provided by the application; if it returns PARAM_FAIL, it means the stack can use the default settings/parameters. In this function there is a switch/case,  described below: PARAM_ID_BD_ADDRESS: the global public address of the device PARAM_ID_LPCLK_DRIFT: the clock accuracy in ppm for the low power clock. There are three clock sources: XTAL32, RC OSC 32, and clock input from a GPIO[0- 3]. By default it is 500 ppm, but the application can provide another value based on the clock accuracy used. For the central role it is not expected to be bigger than 500. PARAM_ID_ACTCLK_DRIFT: the clock accuracy of XTAL 48 MHz in ppm that depends on the XTAL component used in PCB. If it is not provided by ..."},"114":{y:0,u:"../Content/firmware_reference/fwref_BTKernelLib_BLEAbstraction.htm",l:-1,t:"Bluetooth Low Energy Abstraction",i:0.0004445381077384,a:"The Bluetooth Low Energy abstraction is a wrapper for the Bluetooth APIs provided by CEVA for the RSL15 device. This provides a simplified API to access the Bluetooth components, which can be included through the ble_abstraction.h header. Component wrappers include: Generic Access Profile (GAP) This profile defines the generic procedures related to discovery of Bluetooth devices (idle mode procedures),  link management aspects of connecting to Bluetooth devices (connection mode procedures), and management of security procedures.  As defined in ble_gap.h / ble_gap.c, this portion of the Bluetooth abstraction API extends the GAP support described in RW-BLE-GAP-IS.pdf. Generic Attribute Profile (GATT) This profile provides a service framework using the Bluetooth attribute protocol for discovering services, and for reading and writing characteristic values on a peer device. As defined in ble_gatt.h / ble_gatt.c, this portion of the Bluetooth abstraction API extends the GATT support ..."},"115":{y:0,u:"../Content/firmware_reference/fwref_swmTraceLibrary_LP.htm",l:-1,t:"swmTrace Library",i:0.0004445381077384,a:"swmTrace Library The swmTrace library is a complement to the RTT Viewer plugin described in the Diagnostic Strategies chapter of the RSL15 Developer’s Guide. The swmTrace library is a logging utility, intended to provide debugging capabilities through an application running on the Arm Cortex-M33 core. When using the swmTrace library’s functions with the RTT viewer, the logging information shown by the RTT Viewer is color-coded, based on the level of logging used and the particular function calls to the swmTrace library. For more information about this topic, see:"},"116":{y:0,u:"../Content/firmware_reference/fwref_swmTraceLibrary.htm",l:-1,t:"Introduction",i:0.0004445381077384,a:"Introduction Although this library’s expected primary use case is with the SEGGER RTT technology through the SDK’s RTT Viewer, you can also use the library with UART simply by linking to a different library variant. There are four library variants that can be selected between without changing the underlying code: RTT variants include both blocking and non-blocking debug. UART variants include support for DMA and user defined pins for UART, TX and  RX, where both variants are non-blocking."},"117":{y:0,u:"../Content/firmware_reference/fwref_swmTraceLibrary_Setup.htm",l:-1,t:"onsemi IDE Setup",i:0.0004445381077384,a:"onsemi IDE Setup In the onsemi IDE, the swmTrace Library requires that you set at least one of the following configurations  in Properties \u003e C/C++ Build \u003e Settings \u003e Cross ARM C Linker \u003e Miscellaneous: Check the newlib-nano checkbox to enable newlib-nano. Check the Do not use syscalls checkbox. In the text-box labelled Other linker flags, enter —specs=rdimon.specs We strongly recommend that you set up the first configuration enabling newlib-nano, regardless of whether you set the other two. newlib-nano is enabled by default in all RSL15 sample projects. Enabling newlib-nano in the onsemi IDE also minimizes the flash and RAM requirements of applications."},"118":{y:0,u:"../Content/firmware_reference/fwref_swmTraceLibrary_Usage.htm",l:-1,t:"Usage",i:0.0004445381077384,a:"Usage Various levels of logging are available. See swmTrace_api.h for full details, but examples include SWM_LOG_LEVEL_VERBOSE and SWM_LOG_TEST_PASS. All levels of logging use the SWM_LOG_ prefix. Sample applications are available specifically to illustrate the usage of the swmTrace library. See swmTrace_logger under the  sample application folder. Other sample applications also make use of the swmTrace library."},"119":{y:0,u:"../Content/firmware_reference/generated/group___c_m_s_i_s.html",l:-1,t:"CMSIS Reference",i:0.00114362868683812,a:"  Hardware register abstraction layer for the SOC. Summary   Variables RSL15_Sys_Version  : RSL15 firmware version (variable) __Heap_Begin__  : Start location for the heap. __Heap_Limit__  : Top limit for the heap. __stack_limit  : Bottom limit for the stack. __stack  : Start location for the stack. __data_init__  : Pointer to the data to used to initialize volatile memory. __data_start__  : Start address of the initialized data area in volatile memory. __data_end__  : End address of the initialized data area in volatile memory. __bss_start__  : Start address of the cleared data area in volatile memory. __bss_end__  : End address of the cleared data area in volatile memory. __preinit_array_start__  : Weakly defined function list pointer for pre-initialization functions. __preinit_array_end__  : Weakly defined pointer to the end of the pre-initialization function list. __init_array_start__  : Weakly defined function list pointer for initialization functions. __init_array_end__  : Weakly ..."},"120":{y:0,u:"../Content/firmware_reference/generated/group___c_m_s_i_s_var.html",l:-1,t:"CMSIS Reference Variable Documentation",i:0.000687574512344496,a:"  CMSIS Reference Variable Documentation   RSL15_Sys_Version const short RSL15_Sys_Version    Location: rsl15.h:58   RSL15 firmware version (variable)   __Heap_Begin__ uint8_t __Heap_Begin__    Location: rsl15_start.h:42   Start location for the heap.   __Heap_Limit__ uint8_t __Heap_Limit__    Location: rsl15_start.h:43   Top limit for the heap.   __stack_limit uint32_t __stack_limit    Location: rsl15_start.h:48   Bottom limit for the stack.   __stack uint32_t __stack    Location: rsl15_start.h:49   Start location for the stack.   __data_init__ uint32_t __data_init__    Location: rsl15_start.h:54   Pointer to the data to used to initialize volatile memory.   __data_start__ uint32_t __data_start__    Location: rsl15_start.h:55   Start address of the initialized data area in volatile memory.   __data_end__ uint32_t __data_end__    Location: rsl15_start.h:56   End address of the initialized data area in volatile memory.   __bss_start__ uint32_t __bss_start__    Location: rsl15_start.h:58 ..."},"121":{y:0,u:"../Content/firmware_reference/generated/group___c_m_s_i_s_struct.html",l:-1,t:"CMSIS Reference Data Structures Type Documentation",i:0.000687574512344496,a:"  CMSIS Reference Data Structures Type Documentation   flash_region   Location: rsl15_start.h:110   Structure used to define flash regions.   Data Fields"},"122":{y:0,u:"../Content/firmware_reference/generated/group___c_m_s_i_s_define.html",l:-1,t:"CMSIS Reference Macro Definition Documentation",i:0.00870047604189893,a:"  CMSIS Reference Macro Definition Documentation   RSL15_SYS_VER_MAJOR #define RSL15_SYS_VER_MAJOR 0x01   RSL15 header file major version.   Location: rsl15.h:44   RSL15_SYS_VER_MINOR #define RSL15_SYS_VER_MINOR 0x00   RSL15 header file minor version.   Location: rsl15.h:47   RSL15_SYS_VER_REVISION #define RSL15_SYS_VER_REVISION 0x01   RSL15 header file revision version.   Location: rsl15.h:50   RSL15_SYS_VER #define RSL15_SYS_VER (( RSL15_SYS_VER_MAJOR  \u003c\u003c 12) | \\\n                                         ( RSL15_SYS_VER_MINOR  \u003c\u003c 8)  | \\\n                                         ( RSL15_SYS_VER_REVISION ))   RSL15 firmware version.   Location: rsl15.h:53   __ARMv8MML_REV #define __ARMv8MML_REV 0x0000U   Arm v8 architecture revision.   Location: rsl15.h:100   __CM33_REV #define __CM33_REV 0x0000U   Core revision r0p4.   Location: rsl15.h:101   __FPU_PRESENT #define __FPU_PRESENT 1U   FPU present.   Location: rsl15.h:102   __DSP_PRESENT #define __DSP_PRESENT 1U   DSP extension present.   ..."},"123":{y:0,u:"../Content/firmware_reference/generated/group___c_m_s_i_s_func.html",l:-1,t:"CMSIS Reference Function Documentation",i:0.00458157829652774,a:"  _start void _start()   Initialize the application data and start execution with main.   Should be called from the reset vector.\n   Location: rsl15_start.h:91   Return None   Assumptions The symbols data_init, data_start, data_end, bss_start, bss_end, and stack_limit are defined when the application is linked.  Assumptions The symbol flash_layout exists, and is an array of structures containing the start, end, and FLASH_Type* of all the banks of flash, in ascending memory address order, that the data region could be present in.      _sbrk int8_t * _sbrk(int increment)   Increment (or decrement) the top of the heap.   Location: rsl15_start.h:104   Parameters   Return The prior value of the heap top (points to the base of the newly allocated data if the heap was incremented); returns -1 if the function was unable to allocate the requested memory   Assumptions The symbols Heap_Begin, Heap_Limit are defined when the application is linked.      SystemInit void SystemInit()   Initializes ..."},"124":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l.html",l:-1,t:"Hardware Abstraction Layer Reference",i:0.000822413910790865,a:"Hardware Abstraction Layer Reference   Simple hardware abstraction layer library reference. Summary"},"125":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_a_c_n_t.html",l:-1,t:"Activity Counter",i:0.000478890453470442,a:"Activity Counter   Activity counter hardware abstraction layer. Summary   Functions Sys_ACNT_Start  : Start activity counter. Sys_ACNT_Stop  : Stop activity counter. Sys_ACNT_Clear  : Clear activity counter values."},"126":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_a_c_n_t_func.html",l:-1,t:"Activity Counter Function Documentation",i:0.00567483412769622,a:"Activity Counter Function Documentation   Sys_ACNT_Start void Sys_ACNT_Start()   Start activity counter.   Location: acnt.h:42       Sys_ACNT_Stop void Sys_ACNT_Stop()   Stop activity counter.   Location: acnt.h:52       Sys_ACNT_Clear void Sys_ACNT_Clear()   Clear activity counter values.   Location: acnt.h:62      "},"127":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_a_c_s.html",l:-1,t:"Analog Control System",i:0.0004445381077384,a:"Analog Control System   Analog Control System hardware abstraction layer. Summary   Functions Sys_ACS_WriteRegister  : Safely write an ACS register, without corrupting the RTC counts."},"128":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_a_c_s_func.html",l:-1,t:"Analog Control System Function Documentation",i:0.00694282056189511,a:"Analog Control System Function Documentation   Sys_ACS_WriteRegister void Sys_ACS_WriteRegister(volatile uint32_t * p_register, uint32_t value)   Safely write an ACS register, without corrupting the RTC counts.   Location: acs.h:45   Parameters      "},"129":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_a_s_c_c.html",l:-1,t:"Asynchronous Clock Counter",i:0.000478890453470442,a:"Asynchronous Clock Counter   Asynchronous Clock Counter (ASCC) hardware abstraction layer. Summary   Functions Sys_ASCC_GPIOConfig  : Configure the sync pulse and asynchronous clock sources. Sys_ASCC_Config  : Configure the asynchronous clock counter and set initial phase and period count values. Sys_ASCC_StartCounters  : Reset the counter, and start the phase and period counter mechanisms."},"130":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_a_s_c_c_func.html",l:-1,t:"Asynchronous Clock Counter Function Documentation",i:0.00148114929356523,a:"Asynchronous Clock Counter Function Documentation   Sys_ASCC_GPIOConfig void Sys_ASCC_GPIOConfig(uint32_t cfg, uint32_t sync, uint32_t async)   Configure the sync pulse and asynchronous clock sources.   Location: ascc.h:48   Parameters       Sys_ASCC_Config void Sys_ASCC_Config(ASCC_Type * ascc, uint32_t cfg, uint32_t phasecnt, uint32_t periodcnt)   Configure the asynchronous clock counter and set initial phase and period count values.   Location: ascc.h:69   Parameters       Sys_ASCC_StartCounters void Sys_ASCC_StartCounters(ASCC_Type * ascc)   Reset the counter, and start the phase and period counter mechanisms.   Location: ascc.h:83   Parameters      "},"131":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_b_b_i_f.html",l:-1,t:"Baseband Interface",i:0.000539007058501516,a:"Baseband Interface   Baseband interface hardware abstraction layer. Summary   Macros BLE_NONE  : No Bluetooth Low Energy event. BLE_RISING_EDGE  : Bluetooth Low Energy rising edge event. BLE_FALLING_EDGE  : Bluetooth Low Energy falling edge event. BLE_TRANSITION  : Bluetooth Low Energy transition event.   Functions Sys_BBIF_CoexIntConfig  : Configure the coexistence interrupts to monitor for Bluetooth and other RF activity."},"132":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_b_b_i_f_define.html",l:-1,t:"Baseband Interface Macro Definition Documentation",i:0.00117158771442123,a:"  Baseband Interface Macro Definition Documentation   BLE_NONE #define BLE_NONE 0x0U   No Bluetooth Low Energy event.   Location: bbif.h:38   BLE_RISING_EDGE #define BLE_RISING_EDGE 0x1U   Bluetooth Low Energy rising edge event.   Location: bbif.h:41   BLE_FALLING_EDGE #define BLE_FALLING_EDGE 0x2U   Bluetooth Low Energy falling edge event.   Location: bbif.h:44   BLE_TRANSITION #define BLE_TRANSITION 0x3U   Bluetooth Low Energy transition event.   Location: bbif.h:47  "},"133":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_b_b_i_f_func.html",l:-1,t:"Baseband Interface Function Documentation",i:0.00117158771442123,a:"Baseband Interface Function Documentation   Sys_BBIF_CoexIntConfig void Sys_BBIF_CoexIntConfig(uint32_t edge, uint32_t types, uint32_t cf_ant_delay, uint32_t cf_powerup)   Configure the coexistence interrupts to monitor for Bluetooth and other RF activity.   Location: bbif.h:66   Parameters      "},"134":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_c_l_o_c_k.html",l:-1,t:"Clock Configuration",i:0.000570496708755888,a:"Clock Configuration   Clock configuration hardware abstraction layer. Summary   Variables SystemCoreClock  : CMSIS required system core clock variable.   Functions Sys_Clocks_XTALClk_Wait  : Waits for the XTAL clock to start with a timeout using system clock counter. Sys_Clocks_RCSystemClkConfig  : Configure the RC oscillator and system clock. Sys_Clocks_SystemClkConfig  : Configure the system clock. Sys_Clocks_XTALClkConfig  : Configure the 48 MHz XTAL Oscillator. Sys_Clocks_DividerConfig  : Configure the clock divisors for a standard configuration:"},"135":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_c_l_o_c_k_var.html",l:-1,t:"Clock Configuration Variable Documentation",i:0.00134178707119655,a:"  Clock Configuration Variable Documentation   SystemCoreClock uint32_t SystemCoreClock    Location: clock.h:46   CMSIS required system core clock variable."},"136":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_c_l_o_c_k_func.html",l:-1,t:"Clock Configuration Function Documentation",i:0.00457801764944621,a:"  Sys_Clocks_XTALClk_Wait void Sys_Clocks_XTALClk_Wait()   Waits for the XTAL clock to start with a timeout using system clock counter.   Location: clock.h:49   Sys_Clocks_RCSystemClkConfig void Sys_Clocks_RCSystemClkConfig(uint32_t cfg, uint32_t rc_cfg)   Configure the RC oscillator and system clock.   Location: clock.h:114   Parameters       Sys_Clocks_SystemClkConfig void Sys_Clocks_SystemClkConfig(uint32_t cfg)   Configure the system clock.   Location: clock.h:138   Parameters   Assumptions The flash delay configuration is correct for the previously selected system clock source and frequency; if also changing the RC oscillator frequency, use  Sys_Clocks_RCSystemClkConfig()     Sys_Clocks_XTALClkConfig void Sys_Clocks_XTALClkConfig(uint32_t xtal_prescaler)   Configure the 48 MHz XTAL Oscillator.   Location: clock.h:151   Parameters       Sys_Clocks_DividerConfig void Sys_Clocks_DividerConfig(uint32_t uartclk_freq, uint32_t sensorclk_freq, uint32_t userclk_freq)   Configure the clock ..."},"137":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_c_o_r_t_e_x.html",l:-1,t:"Arm Cortex-M Processor",i:0.0004445381077384,a:"Arm Cortex-M Processor   Arm Cortex-M processor support hardware abstraction layer. Summary   Macros SYS_WAIT_FOR_EVENT  : Wait for an event. SYS_WAIT_FOR_INTERRUPT  : Wait for an interrupt."},"138":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_c_o_r_t_e_x_define.html",l:-1,t:"Arm Cortex-M Processor Macro Definition Documentation",i:0.00548028871839827,a:"  Arm Cortex-M Processor Macro Definition Documentation   SYS_WAIT_FOR_EVENT #define SYS_WAIT_FOR_EVENT __ASM(\"wfe\")   Wait for an event.   Location: cortex.h:44       SYS_WAIT_FOR_INTERRUPT #define SYS_WAIT_FOR_INTERRUPT __ASM(\"wfi\")   Wait for an interrupt.   Location: cortex.h:50      "},"139":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_c_r_c.html",l:-1,t:"Cyclic Redundancy Check",i:0.000478890453470442,a:"  Cyclic Redundancy Check (CRC) hardware abstraction layer. Summary   Macros SYS_CRC_CONFIG  : Macro wrapper for  Sys_Set_CRC_Config()  Configure the CRC generator type, endianness of the input data, and standard vs non-standard CRC behavior. SYS_CRC_32INITVALUE  : Macro wrapper for  Sys_CRC_32InitValue()  Initialize CRC for CRC-32. SYS_CRC_CCITTINITVALUE  : Macro wrapperr for  Sys_CRC_CCITTInitValue()  Initialize CRC for CRC-CCITT. SYS_CRC_GETCURRENTVALUE  : Macro wrapper for  Sys_CRC_GetCurrentValue()  Initialize CRC for CRC-CCITT. SYS_CRC_GETFINALVALUE  : Macro wrapper for  Sys_CRC_GetFinalValue()  Initialize final CRC value. SYS_CRC_ADD  : Macro wrapper for  Sys_CRC_Add()  Add data to the current CRC calculation, based on size.   Functions Sys_Set_CRC_Config  : Configure the CRC generator type, endianness of the input data, and standard vs non-standard CRC behavior. Sys_CRC_32InitValue  : Initialize CRC for CRC-32. Sys_CRC_CCITTInitValue  : Initialize CRC for CRC-CCITT. ..."},"140":{y:0,u:"../Content/firmware_reference/generated/group___h_a_l_c_r_c_define.html",l:-1,t:"Cyclic Redundancy Check Macro Definition Documentation",i:0.001127147412141,a:"  Cyclic Redundancy Check Macro Definition Documentation   SYS_CRC_CONFIG #define SYS_CRC_CONFIG  Sys_Set_CRC_Config (CRC, (config))   Macro wrapper for  Sys_Set_CRC_Config()  Configure the CRC generator type, endianness of the input data, and standard vs non-standard CRC behavior.   Location: crc.h:164   Parameters   Assumptions Note that D_CRC supports only CRC_CCITT mode, hence no configuration is applied for this instance.      SYS_CRC_32INITVALUE #define SYS_CRC_32INITVALUE  Sys_CRC_32InitValue (CRC)   Macro wrapper for  Sys_CRC_32InitValue()  Initialize CRC for CRC-32.   Location: crc.h:173   Assumptions Note that D_CRC supports only CRC_CCITT mode, hence no configuration is applied for this instance.      SYS_CRC_CCITTINITVALUE #define SYS_CRC_CCITTINITVALUE  Sys_CRC_CCITTInitValue (CRC)   Macro wrapperr for  Sys_CRC_CCITTInitValue()  Initialize CRC for CRC-CCITT.   Location: crc.h:181   Assumptions CRC is configured to work in CRC-CCITT mode.      SYS_CRC_GETCURRENTVALUE ..."},});