define({"271":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_SystemArch.htm",l:-1,t:"System Architecture",i:0.00296241341306833,a:"The  \"Detailed Block Diagram of the RSL15 System\" figure  shows a detailed block diagram of the RSL15 system. Detailed Block Diagram of the RSL15 System RSL15 is based around four key components: The Arm Cortex-M33 processor: A 32-bit core for real-time applications, specifically developed to enable high-performance low-cost platforms for a broad range of low-power applications. This processor is tightly integrated with the TrustZone Armv8-M security extensions, and is used to provide secure general-purpose processing and control of the RSL15 system’s components, including the RF front-end and Bluetooth baseband. TrustZone® Arm CryptoCell™-312: Provides a comprehensive security solution, with features protecting the authenticity, integrity and confidentiality of code and data, along with cryptographic hardware services, TRNG, and lifecycle state management. Radio Frequency Front-End: Based on a 2.4 GHz RF transceiver, the radio frequency front-end (RFFE) implements the physical layer ..."},"272":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_SecuritySystemArch.htm",l:-1,t:"Security System Architecture",i:0.0004445381077384,a:"Integrated IoT Cybersecurity Platform The Arm Cortex-M33 processor with TrustZone Armv8-M security extensions forms the basis of the security platform. The Arm CryptoCell-312 allows for end-to-end product security, with Secure Boot with Root of Trust, secure lifecycle management, secure key management, and application and data encryption using symmetric or asymmetric cryptography. Arm TrustZone enables secure software access control.  For more information about the Arm Cortex-M33 processor, see  Introduction . For more information about the TrustZone CryptoCell-312 security IP integrated into RSL15, see  Arm TrustZone CryptoCell-312 Security IP . Secure Boot with Root of Trust The secure boot ROM authenticates firmware in flash with a certificate-based mechanism using a private-public key scheme. This is the basis of the hardware Root of Trust. This same mechanism ensures continuity of the hardware Root of Trust after secure Firmware-Over-The-Air (FOTA) update. Arm Lifecycle State ..."},"273":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_RadioSystemArch.htm",l:-1,t:"Radio System Architecture",i:0.0004445381077384,a:"The RSL15 system is built around a radio system architecture that supports the implementation of Bluetooth and other proprietary RF protocol stacks. The most common use case for RSL15 devices is in applications that use Bluetooth technology. The 2.4 GHz radio front-end is based on a low-IF architecture, and is comprised of the following building blocks: High performance single-ended RF port that alleviates the need for an external balun On-chip matching network with 50 Q RF input Low power LNA (low noise amplifier) and mixer PA (Power Amplifier) with up to +6 dBm output power for Bluetooth RSSI (Received Signal Strength Indication) with 60 dB nominal range in 1 dB steps (not considering AGC) Fully integrated ultra-low power frequency synthesis\nwith fast settling time, featuring direct digital modulation in transmission (pulse shape programmable)\n Configurable direct access to streamed radio data, including ADC and RSSI data, or I/Q samples for signal phase measurements 48 MHz XTAL ..."},"274":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_Power.htm",l:-1,t:"Power",i:0.0004445381077384,a:"The flexible power management of RSL15 allows for a wide range of battery voltages without the need for external power conversion. Two modes for the system supply  are: LDO Mode Operation (the default) DC-DC Mode Operation In both modes the battery supply voltage (VBAT) is regulated to a system supply (VCC) of 1.2 V. This supply is converted (using a charge pump) to an approximate 2.4 V analog supply voltage (VDDA), which is used to power the analog blocks (excluding the RF Blocks). These supplies are used as inputs to several additional supply voltages: VDDFLASH  is a regulated voltage used to power the flash for erase and program operations. \n                VDDRF is a regulated voltage  used to supply the RF system. \n                VDDC is a  regulated voltage used for the internal digital blocks, excluding digital memories (ROM, RAM, flash) and GPIOs.  \n                VDDM is a regulated voltage  used for the memory (ROM, RAM, flash) blocks.  \n                VDDPA is a regulated ..."},"275":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_Clocking.htm",l:-1,t:"Clocking",i:0.0004445381077384,a:"The following oscillators are available as sources for the system clock used for active operation of the system: 48 MHz crystal oscillator (XTALCLK), typically used in Run Mode when RF operation is required. Prescalers exist to provide divided clocks (including system clock) to other parts of the system. A fast RC oscillator (RCCLK) can provide an\nalternative to the 48 MHz crystal oscillator. However, RF operation is not possible using the fast RC Oscillator. The following oscillators are available as sources for the standby clock used for system timing: A 32 kHz crystal oscillator (XTAL32K)\ntypically used in Sleep and Standby Modes for precision timing and to maintain the real-time clock (RTC) A standby RC oscillator (RC32) that meets the\nBluetooth Low Energy sleep clock accuracy requirements, which can be an alternative to the 32 kHz crystal oscillator; see  RC Oscillator A built−in clock detector ensures a proper system reset in case the system clock goes below 2 kHz. Flexible clock ..."},"276":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_Memory.htm",l:-1,t:"Memory",i:0.0004445381077384,a:"All aspects of the RSL15 system, including all memory instances, registers, and other components, are accessible from the Arm Cortex-M33 processor through one or more of the processor’s standard buses. This structure supports the control and configuration of all of the components of the system, and simplifies control of the RF front-end, Bluetooth protocol baseband hardware, and security elements.\n The memory space of the RSL15 system is subdivided into four main segments: The program memory used for storing and/or executing code on the Arm Cortex-M33 processor. This segment of the RSL15 memory map contains: A 20-KB ROM instance A 284-KB (RSL15-284) flash instance with 264 KB code and 20 KB data memory A 512-KB (RSL15-512) flash instance with 352 KB code and 160 KB data memory Four 256-byte non-volatile records with restricted use (four additional non-volatile records are reserved for use by the CryptocCell-312 only, and one is restricted for device manufacturing use only). The data ..."},"277":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_Interfaces.htm",l:-1,t:"Interfaces",i:0.000648876506673935,a:"The RSL15 system has a number of interfaces to support communicating with external devices. These interfaces and pads are described briefly in the sections below, and in detail in  Overview ,  Communication Interfaces , and  Sensor Interfaces . General Purpose Input/Output (GPIO) RSL15 contains up to 16 highly flexible general purpose input/output (GPIO) pins that can be configured as digital input or output, communication interfaces, clocks, wakeup sources, or analog functions. Communication interfaces can be routed to any GPIO. Other functions are available on select GPIOs (see section Pin Definition and Multiplexing).\nEach GPIO has a software configurable pull up/down resistor, LPF for I2C, and four drive strengths options. For HAL firmware information related to GPIO, see the RSL15 Firmware Reference:  General-Purpose I/O Interface . Communications Interfaces I2C The I2C controller consists of two independent channels of the two-wire interface, including a bidirectional clock line ..."},"278":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_Peripherals.htm",l:-1,t:"Peripherals",i:0.0004445381077384,a:"The RSL15 system has a number of peripherals to support auxiliary non-RF tasks. These peripherals are described briefly in the sections below, and in detail in  Activity Counters . Additional peripherals that are only accessible to the Arm Cortex-M33 processor have been defined by Arm and integrated into the RSL15 system. These blocks are described in  Private Peripherals .  Activity Counter The activity counters help to analyze how long the RSL15 system has been running, and how much the CPU and the flash have been used by the application in a period of time. This is useful information for estimating and optimizing the power consumption of the application. For HAL firmware information related to the activity counters, see the RSL15 Firmware Reference:  Activity Counter . Asynchronous Clock Counter The asynchronous clock counter (ASCC) measures the timing of a clock signal, such as STANDBYCLK or a clock provided on a GPIO input, relative to the system clock. For HAL firmware ..."},"279":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_FWRefLibs.htm",l:-1,t:"Firmware Reference Libraries",i:0.0004445381077384,a:"Firmware Reference Libraries The RSL15 SoC hardware described in this manual is supported by a set of firmware header files, libraries, and other components that are described in the RSL15 Firmware Reference. In particular, a hardware abstraction layer (HAL) library has been provided, to assist with the following RSL15 development factors:\n Simplification of common interactions between the hardware and user-developed firmware \n Implementation details that require grouping or specific ordering of several operations\n Readability of user applications"},"280":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_SoC_Ident.htm",l:-1,t:"SoC Identification",i:0.00296241341306833,a:"SoC Identification The RSL15 System on a Chip provides the AHBREGS_CHIP_ID_NUM register, which contains static values that identify the chip and provide version information about it. This register can be used to verify compatibility for both user applications and external applications that communicate through the debug port. A list of these the fields provided in this register and a brief description of each are found in the  \"Device Identification Registers\" table . The chip version is commonly written as X.YY.ZZ (for example, 1.02.03), where X is the chip version number, YY is the major revision number, and ZZ is the minor revision number. Chips are also identified using only the chip version number and major revision number as a chip identifier (CID) value. For a chip version of X.YY.ZZ, the CID would be XYY (for example, 102)."},"281":{y:0,u:"../Content/hardware_reference_rsl15/hwref_Overview_SoCIdentReg.htm",l:-1,t:"SoC Identification Registers",i:0.0004445381077384,a:"SoC Identification Registers"},"282":{y:0,u:"../Content/detail/rsl15_AHB_registers_AHBREGS_CHIP_ID_NUM.htm",l:-1,t:"AHBREGS_CHIP_ID_NUM",i:0.000822413910790865,a:"AHBREGS_CHIP_ID_NUM Bit Field Field Name Value Symbol Value Description Hex Value 31:24 CHIP_FAMILY CHIP_FAMILY_NB BLE family  0xB* 23:16 CHIP_VERSION CHIP_VERSION_NB Value for Nechako  0x2* 15:8 CHIP_MAJOR_REVISION CHIP_MAJOR_REVISION_NB Value for Nechako SV2  0x2* 7:0 CHIP_MINOR_REVISION CHIP_MINOR_REVISION_NB Value for Nechako SV2  0x0*"},"283":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_LP.htm",l:-1,t:"Arm Cortex-M33 Processor",i:0.0004445381077384,a:"Arm Cortex-M33 Processor The Arm Cortex-M33 processor plays a role as the central controller for the RSL15 microcontroller system. The Arm Cortex-M33 processor has access to all memories and memory-mapped components, and as a result provides users with an interface for configuring and controlling all of the other system components and handling all data transferred through the RSL15 system.  For more information about this topic, see:"},"284":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_Intro.htm",l:-1,t:"Introduction",i:0.000633476009264632,a:"The Arm Cortex-M33 processor implements the Armv8-M architecture. It has the following main features: Thumb-2 (ISA) subset consisting of all base Thumb-2 instructions, both 16-bit and 32-bit Harvard processor architecture enabling simultaneous instruction fetches with data load or store Three-stage pipeline Single cycle 32-bit multiply Hardware divide Thumb and debug states Handler and thread modes Low latency interrupt subroutine (ISR) entry and exit Processor state saving and restoration, with no instruction fetch overhead; the exception vector is fetched from memory in parallel with the state saving, enabling faster ISR entry Support for late-arriving interrupts Tightly coupled interface to interrupt controller, enabling efficient processing of late-arriving interrupts Tail-chaining of interrupts, enabling back-to-back interrupt processing without the overhead of state saving and restoration between interrupts Interruptible-continued LDM/STM, and PUSH/POP Includes floating point, ..."},"285":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_DebugPort.htm",l:-1,t:"Debug Port",i:0.0009623434585943,a:"All applications executing on the Arm Cortex-M33 processor can be debugged through the SWJ-DP, which can be configured to either serial wire or JTAG debug port communications. The SWJ-DP provides access to all of the Arm Cortex-M33 processor registers, and to the memory available through the memory buses attached to the Arm Cortex-M33 processor. This transparent view of the system enables a user to review the current state of the system components through their associated memory-mapped control registers, and use this information to troubleshoot most issues in an application. When a debug port connection has been established, the debug port link remains active in low power modes if the Arm Cortex-M33-Debug power domain is not explicitly disabled.  This supports debugging the functionality of an application that uses low power modes across a low power mode-wakeup cycle. For more information, see  Keeping the Debugger Connected in Low Power Modes . The SWJ-DP is assigned to  two dedicated ..."},"286":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer.htm",l:-1,t:"Private Peripherals",i:0.000478890453470442,a:"Private Peripherals The RSL15 system’s private peripherals are accessible only to the Arm Cortex-M33 processor. These peripherals include the SysTick timer, nested vector interrupt controller, system control block, memory protection unit, security attribution unit, debug controller, software interrupts, and floating-point extension unit. "},"287":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_SysTick.htm",l:-1,t:"SysTick",i:0.000606438857730925,a:"The Arm Cortex-M33 core peripherals include the system tick (SysTick) count-down timer from the Arm Cortex-M33 processor implementation. This block is a private peripheral, tightly tied to the Arm Cortex-M33 implementation. It is described in the ARM Cortex-M33 Technical Reference Manual. The clock used by the SysTick timer is selected using the SysTick_CTRL_CLKSOURCE bit from the SysTick_CTRL register. This timer can be clocked from the system clock (SYSCLK) or from the SysTick-specific reference clock (STCLK) that is divided from SLOWCLK by 32. For more information about SYSCLK, see  System Clock (SYSCLK) . For more information about SLOWCLK, see  Slow Clock (SLOWCLK) .  The SysTick_CALIB register is configured to define a 10 ms timer period based on STCLK. The delay provided by the SysTick timer is defined using the selected clock and a reload value loaded to the SysTick_LOAD register, as follows: The current value of the SysTick counter can be read at any time from the SysTick_VAL ..."},"288":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_NVIC.htm",l:-1,t:"Nested Vector Interrupt Controller (NVIC)",i:0.00328553455720573,a:"The Arm Cortex-M33 processor is closely tied to a nested vectored interrupt controller (NVIC), which is a private peripheral provided for the processor that supports interrupt and fault handling functionality. This block is implemented with the Arm Cortex-M33 processor and is described in the ARM Cortex-M33 Technical Reference Manual. The Arm Cortex-M33 processor as implemented for RSL15 uses pulse interrupts. These interrupts are sampled on the rising edge of SYSCLK. A pulse interrupt can be reasserted during the ISR so that the interrupt can be in the pending state and active at the same time. If another pulse arrives while the interrupt is still pending, the interrupt remains pending and the ISR runs only once. The NVIC handles a non-maskable interrupt (NMI), predefined interrupts, several faults, and a set of general-purpose interrupts that are external to the Arm Cortex-M33 processor and are linked to its interfaces and peripherals. A list of the interrupts supported by the NVIC ..."},"289":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_SysCtrl.htm",l:-1,t:"System Control",i:0.000577487441026103,a:"The Arm Cortex-M33 processor is supported by a system control block (SCB) that supports configuration information and functionality defined by the RSL15 implementation. This includes configuration of: ICB_ICTR The Interrupt Controller Type register (also referred to as the SCB_ICTR register), which indicates the number of interrupts supported by the NVIC. RSL15 uses 57 external interrupts (NVIC_INTLINESNUM_33_64, hex value 0x1) SCB_CPUID The CPU ID base register, containing the version of the Arm Cortex-M33 processor used in RSL15 SCB_ICSR The Interrupt Control and State register, containing system state information SCB_VTOR The Vector Table Offset register, containing a pointer to the active vector table; this register is banked, with separate copies maintained by the system for both secure and non-secure execution. SCB_AIRCR, SCB_SHPR* The Application Interrupt and Reset Control register, used to configure the NVIC priority configuration (as described in  Nested Vector Interrupt ..."},"290":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_MemProtUnit.htm",l:-1,t:"Memory Protection Unit",i:0.0004445381077384,a:"Memory Protection Unit The Arm Cortex-M33 processor implementation in RSL15 is supported by a protected memory system architecture centered around a memory protection unit (MPU). When used, the MPU provides support for protected memory regions and access permission control. When active, the MPU invokes a MemManage fault when a memory access occurs outside of a valid address that is accessible to the processor in the current system configuration (and execution state). For information on using the memory protection  unit as part of a secure/non-secure application pair, see  TrustZone . For more general information on the MPU, refer to the Arm v8-M Architecture Reference Manual and the  Arm Cortex-M33 Processor Technical Reference Manual. For this peripheral’s registers, see  Memory Protection Unit Registers ."},"291":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_SecAttrUnit.htm",l:-1,t:"Security Attribution Unit",i:0.0004445381077384,a:"The Arm Cortex-M33 processor implementation in RSL15 is supported by a programmable security attribution unit (SAU), which is used for controlling accesses to items mapped into the Arm Cortex-M33 processor\u0027s memory-map. The SAU supports the definition of between 0 and 4 regions of memory that can be made accessible for use with TrustZone non-secure applications.  For instructions and data, the SAU returns the security attribute that is associated with the address. For instructions, the attribute determines the allowable security state of the processor when the instruction is executed. It can also identify whether code at a secure address can be called from a non-secure state. For data, the attribute determines whether a memory address can be accessed from the non-secure execution state, and whether the external memory request is marked as secure or non-secure. If a data access is made from the non-secure execution state to an address marked as secure, then a SecureFault exception is ..."},"292":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_DebugCtrl.htm",l:-1,t:"Debug Controller",i:0.000782001037703949,a:"Access to the debug controller that underlies the debug port is restricted in many of the security lifecycle states. For more information, see  Arm TrustZone CryptoCell-312 Security IP . Halting Debug Configuration and Status The Debug Halting Control and Status Register (DHCSR) provides status information on the processor state, enables core debugging, and allows an external system to halt and single-step the core. To write to this register, DEBUG_HALT_KEY must be written to the CoreDebug_DHCSR_DBGKEY bit field. The DHCSR is used to configure the Arm Cortex-M33 processor for halting debug. To enable halting debug, set the CoreDebug_DHCSR_C_DEBUGEN bit. If halting debug is enabled: To halt the core, set the CoreDebug_DHCSR_C_HALT bit. To single-step the core, set the CoreDebug_DHCSR_C_STEP bit. To mask interrupts while single-stepping, set the CoreDebug_DHCSR_C_MASKINTS bit (the core must be halted to write to this bit). To break a stalled memory access, where the memory access might ..."},"293":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_SWInterrupts.htm",l:-1,t:"Software Interrupts",i:0.0004445381077384,a:"Software Interrupts The Arm Cortex-M33 processor is supported by a software trigger interrupt register that can be used by software to trigger any external interrupt. Values to be written to this register are compatible with the IRQn enumeration provided by rsl15_vectors.h and the positive enumeration values listed in  Nested Vector Interrupt Controller (NVIC) . For the software interrupt registers, see  Software Interrupts Registers ."},"294":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_FloatPtExtn.htm",l:-1,t:"Floating-Point Extension",i:0.0004445381077384,a:"Floating-Point Extension The Arm Cortex-M33 processor\u0027s floating point unit is an extension to the Arm Cortex-M33 design that provides a single precision floating point implementation.  This implementation includes floating-point computation functionality that is compliant with the ANSI/IEEE Std 754-2008, IEEE Standard for Binary Floating-Point Arithmetic, referred to as the IEEE 754 standard. The floating point extension provides native support for single-precision add, subtract, multiply, divide, multiply and accumulate, and square root operations on floating point numbers. It also provides conversions between fixed-point and floating-point data formats, and floating-point constant instructions. For more information on the floating point extension, refer to the Arm v8-M Architecture Reference Manual and the  Arm Cortex-M33 Processor Technical Reference Manual. For this peripheral’s registers, see  Floating Point Extension Registers ."},"295":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_Registers.htm",l:-1,t:"Private Peripherals Registers",i:0.0004445381077384,a:"Private Peripherals Registers For the user’s convenience, the registers for the private peripherals are grouped in separate sections according to peripheral. Arm\u0027s NVIC private peripheral includes registers supporting up to 256 external interrupts (described in the ARM Cortex-M33 Technical Reference Manual). Registers that are explicitly used by RSL15 are shown in  NVIC Registers . Additional registers can be used in the NVIC support firmware, to enable compatibility with all of onsemi\u0027s Arm Cortex-M-series-based devices."},"296":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_SysTickReg.htm",l:-1,t:"SysTick Registers",i:0.000702289465615009,a:"SysTick Registers"},"297":{y:0,u:"../Content/detail/rsl15_SysTick_Timer_SysTick_CTRL.htm",l:-1,t:"SysTick_CTRL",i:0.000593783322616259,a:"SysTick_CTRL Bit Field Field Name Value Symbol Value Description Hex Value 16 COUNTFLAG SYSTICK_COUNTFLAG_NOT_ZERO SYSTICK counter has not reached zero since last read  0x0* SYSTICK_COUNTFLAG_ZERO SYSTICK counter has reached zero since last read  0x1 2 CLKSOURCE SYSTICK_CLKSOURCE_EXTREF_CLK Use external reference clock (STCLK)  0x0* SYSTICK_CLKSOURCE_CORE_CLK Use the core clock  0x1 1 TICKINT SYSTICK_TICKINT_DISABLE Disable interrupt generation when SYSTICK timer reaches 0  0x0* SYSTICK_TICKINT_ENABLE Enable interrupt generation when SYSTICK timer reaches 0  0x1 0 ENABLE SYSTICK_DISABLE Disable SYSTICK timer  0x0* SYSTICK_ENABLE Enable SYSTICK Timer  0x1"},"298":{y:0,u:"../Content/detail/rsl15_SysTick_Timer_SysTick_LOAD.htm",l:-1,t:"SysTick_LOAD",i:0.000593783322616259,a:"SysTick_LOAD"},"299":{y:0,u:"../Content/detail/rsl15_SysTick_Timer_SysTick_VAL.htm",l:-1,t:"SysTick_VAL",i:0.000593783322616259,a:"SysTick_VAL"},"300":{y:0,u:"../Content/detail/rsl15_SysTick_Timer_SysTick_CALIB.htm",l:-1,t:"SysTick_CALIB",i:0.000593783322616259,a:"SysTick_CALIB Bit Field Field Name Value Symbol Value Description Hex Value 31 NOREF SYSTICK_NOREF No external reference clock available  0x1 SYSTICK_REF External reference clock available  0x0* 30 SKEW SYSTICK_SKEW Calibration value is not exactly 10 ms  0x1* SYSTICK_NOSKEW Calibration value is exactly 10 ms  0x0"},"301":{y:0,u:"../Content/hardware_reference_rsl15/hwref_CM33_PrivatePer_NVIC_Reg.htm",l:-1,t:"NVIC Registers",i:0.00175339459204755,a:"NVIC Registers Individual register tables are not included for the _NS registers listed here, as the registers are all identical except for their offsets. For more information, see  TrustZone ."},"302":{y:0,u:"../Content/detail/rsl15_Nested_Vector_Interrupt_Controller_NVIC_ISER0.htm",l:-1,t:"NVIC_ISER0",i:0.000473201794559815,a:"Bit Field Field Name Value Symbol Value Description Hex Value 31 ASCC_PHASE NVIC_ASCC_PHASE_INT_ENABLE Enable the ASCC_PHASE interrupt  0x1 30 ASCC_PERIOD NVIC_ASCC_PERIOD_INT_ENABLE Enable the ASCC_PERIOD interrupt  0x1 29 CC312 NVIC_CC312_INT_ENABLE Enable the CC312 interrupt  0x1 28 FPU NVIC_FPU_INT_ENABLE Enable the FPU interrupt  0x1 27 LIN0 NVIC_LIN0_INT_ENABLE Enable the LIN0 interrupt  0x1 26 PCM0_ERROR NVIC_PCM0_ERROR_INT_ENABLE Enable the PCM0_ERROR interrupt  0x1 25 PCM0_RX_TX NVIC_PCM0_RX_TX_INT_ENABLE Enable the PCM0_RX_TX interrupt  0x1 24 UART0_ERROR NVIC_UART0_ERROR_INT_ENABLE Enable the UART0_ERROR interrupt  0x1 23 UART0_TX NVIC_UART0_TX_INT_ENABLE Enable the UART0_TX interrupt  0x1 22 UART0_RX NVIC_UART0_RX_INT_ENABLE Enable the UART0_RX interrupt  0x1 21 I2C1 NVIC_I2C1_INT_ENABLE Enable the I2C1 interrupt  0x1 20 I2C0 NVIC_I2C0_INT_ENABLE Enable the I2C0 interrupt  0x1 19 SPI1_COM NVIC_SPI1_COM_INT_ENABLE Enable the SPI1_COM interrupt  0x1 18 SPI1_TX ..."},"303":{y:0,u:"../Content/detail/rsl15_Nested_Vector_Interrupt_Controller_NVIC_ISER1.htm",l:-1,t:"NVIC_ISER1",i:0.000473201794559815,a:"Bit Field Field Name Value Symbol Value Description Hex Value 24 DMA3 NVIC_DMA3_INT_ENABLE Enable the DMA3 interrupt  0x1 23 DMA2 NVIC_DMA2_INT_ENABLE Enable the DMA2 interrupt  0x1 22 DMA1 NVIC_DMA1_INT_ENABLE Enable the DMA1 interrupt  0x1 21 DMA0 NVIC_DMA0_INT_ENABLE Enable the DMA0 interrupt  0x1 20 ACCESS_ERROR NVIC_ACCESS_ERROR_INT_ENABLE Enable the ACCESS_ERROR interrupt  0x1 19 FLASH0_ECC NVIC_FLASH0_ECC_INT_ENABLE Enable the FLASH0_ECC interrupt  0x1 18 FLASH0_COPY NVIC_FLASH0_COPY_INT_ENABLE Enable the FLASH0_COPY interrupt  0x1 17 RF_RXFIFO NVIC_RF_RXFIFO_INT_ENABLE Enable the RF_RXFIFO interrupt  0x1 16 RF_TXFIFO NVIC_RF_TXFIFO_INT_ENABLE Enable the RF_TXFIFO interrupt  0x1 15 RF_SYNC NVIC_RF_SYNC_INT_ENABLE Enable the RF_SYNC interrupt  0x1 14 RF_IRQ_RECEIVED NVIC_RF_IRQ_RECEIVED_INT_ENABLE Enable the RF_IRQ_RECEIVED interrupt  0x1 13 RF_RXSTOP NVIC_RF_RXSTOP_INT_ENABLE Enable the RF_RXSTOP interrupt  0x1 12 RF_TX NVIC_RF_TX_INT_ENABLE Enable the RF_TX interrupt  0x1 11 ..."},"304":{y:0,u:"../Content/detail/rsl15_Nested_Vector_Interrupt_Controller_NVIC_ICER0.htm",l:-1,t:"NVIC_ICER0",i:0.000473201794559815,a:"Bit Field Field Name Value Symbol Value Description Hex Value 31 ASCC_PHASE NVIC_ASCC_PHASE_INT_DISABLE Disable the ASCC_PHASE interrupt  0x1 30 ASCC_PERIOD NVIC_ASCC_PERIOD_INT_DISABLE Disable the ASCC_PERIOD interrupt  0x1 29 CC312 NVIC_CC312_INT_DISABLE Disable the CC312 interrupt  0x1 28 FPU NVIC_FPU_INT_DISABLE Disable the FPU interrupt  0x1 27 LIN0 NVIC_LIN0_INT_DISABLE Disable the LIN0 interrupt  0x1 26 PCM0_ERROR NVIC_PCM0_ERROR_INT_DISABLE Disable the PCM0_ERROR interrupt  0x1 25 PCM0_RX_TX NVIC_PCM0_RX_TX_INT_DISABLE Disable the PCM0_RX_TX interrupt  0x1 24 UART0_ERROR NVIC_UART0_ERROR_INT_DISABLE Disable the UART0_ERROR interrupt  0x1 23 UART0_TX NVIC_UART0_TX_INT_DISABLE Disable the UART0_TX interrupt  0x1 22 UART0_RX NVIC_UART0_RX_INT_DISABLE Disable the UART0_RX interrupt  0x1 21 I2C1 NVIC_I2C1_INT_DISABLE Disable the I2C1 interrupt  0x1 20 I2C0 NVIC_I2C0_INT_DISABLE Disable the I2C0 interrupt  0x1 19 SPI1_COM NVIC_SPI1_COM_INT_DISABLE Disable the SPI1_COM interrupt  0x1 ..."},});